Name: mate-tweak
Version: 16.10.0
Release: alt0.M80P.1
Epoch:   1

Summary: Mate desktop configuration tool
License: GPLv2+
Group: Graphical desktop/MATE
Url: https://bitbucket.org/ubuntu-mate/mate-tweak

Packager: Anton Midyukov <antohami@altlinux.org>

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3 rpm-build-gir
BuildPreReq: python3-module-setuptools python3-module-distutils-extra intltool

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%setup

# We don't provide xdg-su. Change it to use polkit.
%__subst "s/'pkexec', '/'xdg-su', '-c /g" %name
%__subst '/polkit/d' setup.py

%build
%python3_build

%install
%python3_install

%find_lang %name

%files -f %name.lang
%doc README.md
%_bindir/%name
%exclude %_bindir/marco*
%exclude %_bindir/metacity*
%_libexecdir/%name
%python3_sitelibdir/*egg-info
%exclude %_datadir/mate
%_datadir/%name
%_desktopdir/%name.desktop
%_man1dir/%name.1.*
%exclude %_man1dir/marco*
%exclude %_man1dir/metacity*

%changelog
* Sun May 21 2017 Andrey Cherepanov <cas@altlinux.org> 1:16.10.0-alt0.M80P.1
- Downgrade to old version to support scheme of mate-panel-1.12.2 (ALT #33490)

* Wed Mar 15 2017 Anton Midyukov <antohami@altlinux.org> 16.10.5-alt3
- Added buildrequires rpm-build-gir.

* Sun Mar 12 2017 Anton Midyukov <antohami@altlinux.org> 16.10.5-alt2
- Added missing requires libnotify-gir.

* Sat Oct 15 2016 Anton Midyukov <antohami@altlinux.org> 16.10.5-alt1
- new version 16.10.5

* Sat Jun 04 2016 Anton Midyukov <antohami@altlinux.org> 3.5.10-alt1
- Initial build for ALT Linux Sisyphus.
